Bug 495094 - [QLogic 5.4 bug] qla2xxx - updates and fixes from upstream, part 3
[QLogic 5.4 bug] qla2xxx - updates and fixes from upstream, part 3
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity high
: rc
: 5.4
Assigned To: Marcus Barrow
Red Hat Kernel QE team
: FutureFeature, OtherQA
Depends On:
Blocks: 460170 501989
  Show dependency treegraph
 
Reported: 2009-04-09 14:10 EDT by Marcus Barrow
Modified: 2009-09-02 04:29 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:29:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qla2xx - 5.4 part 3 (1.15 MB, patch)
2009-04-14 12:34 EDT, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Marcus Barrow 2009-04-09 14:10:57 EDT
There have been numerous updates to the upstream driver since the 5.3
submissions. There will be several batches of patches to attempt to bring the
driver closer to it's upstream cousin.

This is the second batch.
Comment 1 Marcus Barrow 2009-04-14 12:34:05 EDT
Created attachment 339522 [details]
qla2xx - 5.4 part 3
Comment 2 Marcus Barrow 2009-04-14 12:34:31 EDT
Third batch of fixes:

 - For ISP24xx and above remove ISP Abort after flash udpate.
 - Pass in optional extended-initialization control block.
 - Export flash-block-size for application support.
 - Driver no more carries ISP81XX Firmware.
 - Added statistics - input/output megabytes.
 - Added XGMAC Statistics Support for ISP81XX
 - Add Flash Access mailbox Command support for recent ISPs.
 - Fixed compile time warning.
 - Do not base sector mask on fixed optrom size.
 - Update MPI/PHY version retrieval codes.
 - Always use an FLT's NVRAM/VPD region information.
 - Use correct isp_opts to read the vpd from flash.
 - Get FLT address in dword format.
 - Synch with upstream on the reset values for sysfs reset attr.
 - Fix try_to_stop_firmware fucntion for ISP81XX.
 - Update version to 8.03.00.03.05.04-k.
Comment 3 Don Zickus 2009-05-06 13:17:41 EDT
in kernel-2.6.18-144.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 5 Richard A Lary 2009-05-07 13:06:08 EDT
Verified driver version 8.03.00.04.05.04-k
Testing underway on IBM Power PC QLogic FCoE adapter.
Comment 6 Chris Ward 2009-06-14 19:21:06 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 7 Chris Ward 2009-07-03 14:41:26 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 8 Chris Ward 2009-07-10 15:12:22 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 9 Richard A Lary 2009-07-13 13:04:24 EDT
Verified on IBM Power PC systems
Comment 10 Marcus Barrow 2009-07-28 13:01:37 EDT
Verified in 2.6.9-159.
Comment 12 errata-xmlrpc 2009-09-02 04:29:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.